function OnClick()
    if s.m_s03_chest_middle == 0 then
        s.m_s03_chest_middle = 1
    end
   
    s.m_s03_chest_old_x1, s.m_s03_chest_old_y1 = bkg.elements["seq_chest_anim_wheel_r1"]:GetPosition()
    

    bkg.elements["seq_chest_anim_wheel_r1"]:SetPosition(s.m_s03_chest_old_x1 - 12, s.m_s03_chest_old_y1+3)
    PlaySound("snd_s03_0112_move_left")

    Sleep(300)
    OldAction("after_rotation1", function()
        bkg.elements["seq_chest_anim_wheel_r1"]:SetPosition(s.m_s03_chest_old_x1, s.m_s03_chest_old_y1)
    end)
end
